Subject: Re: Graphical tool to merge and reorder commits

From: "R. Diez" <[email-masked]>
Date: Tue, 19 Aug 2025 13:14:59 +0200

> - `git rebase -i HEAD~11` (or so;-)
> - move fixA1 and fixA2 under A and change "pick" to "fixup" for fixA1 and fixA2
> - save and exit the editor

I actually did not want to count commits or look at hashes, I wanted to comfortably click around to see the diffs etc. while I make the decisions.

After such posts, I wish people like you had to buy their next online plane or train ticket with curl. }8-)

But let's stay on the command line. I could learn new tricks.

> And done.

OK, git rebase was happy, everything is done.

And now it does not compile anymore.

You'd want to go back to the initial commit sequence and try another approach. But now it's gone, or at least it does not come up anymore in your git-gui. Or is it really gone? Maybe I can dig up the old commit sequence if I find the right Git commands... But that is what I wanted to avoid in the first place!

So I guess I should branch beforehand, just in case. And then move the head back, and rebase the commits there. Or the like. And don't squash yet, just in case. And then squash later, after everything compiles. My keyboard is on fire.